# $Revision: 1.33 $, $Date: 2008/07/27 22:53:32 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	Telnet-Cisco
Summary:	Net::Telnet::Cisco Perl module
Summary(cs.UTF-8):	Modul Net::Telnet::Cisco pro Perl
Summary(da.UTF-8):	Perlmodul Net::Telnet::Cisco
Summary(de.UTF-8):	Net::Telnet::Cisco Perl Modul
Summary(es.UTF-8):	Módulo de Perl Net::Telnet::Cisco
Summary(fr.UTF-8):	Module Perl Net::Telnet::Cisco
Summary(it.UTF-8):	Modulo di Perl Net::Telnet::Cisco
Summary(ja.UTF-8):	Net::Telnet::Cisco Perl モジュール
Summary(ko.UTF-8):	Net::Telnet::Cisco 펄 모줄
Summary(nb.UTF-8):	Perlmodul Net::Telnet::Cisco
Summary(pl.UTF-8):	Moduł Perla Net::Telnet::Cisco
Summary(pt.UTF-8):	Módulo de Perl Net::Telnet::Cisco
Summary(pt_BR.UTF-8):	Módulo Perl Net::Telnet::Cisco
Summary(ru.UTF-8):	Модуль для Perl Net::Telnet::Cisco
Summary(sv.UTF-8):	Net::Telnet::Cisco Perlmodul
Summary(uk.UTF-8):	Модуль для Perl Net::Telnet::Cisco
Summary(zh_CN.UTF-8):	Net::Telnet::Cisco Perl 模块
Name:		perl-Net-Telnet-Cisco
Version:	1.10
Release:	7
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a25845350be369cb8354e0ddc55708f9
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Net-Telnet
BuildRequires:	perl-Test-Simple
BuildRequires:	perl-Term-ReadKey
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::Telnet::Cisco - interact with TELNET port on Cisco routers.

%description -l pl.UTF-8
Net::Telnet::Cisco - wsparcie dla protokołu TELNET na urządzeniach
Cisco.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test </dev/null} 

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%{perl_vendorlib}/Net/Telnet
%dir %{perl_vendorlib}/auto/Net/Telnet
# empty autosplit.ix, but needed.
%dir %{perl_vendorlib}/auto/Net/Telnet/Cisco
%{perl_vendorlib}/auto/Net/Telnet/Cisco/autosplit.ix
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-Telnet-Cisco.spec,v $
Revision 1.33  2008/07/27 22:53:32  arekm
- release 7

Revision 1.32  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.31  2007/02/12 00:49:43  baggins
- converted to UTF-8

Revision 1.30  2006/08/26 11:12:42  radek
- tests </dev/null

Revision 1.29  2005/05/15 17:29:23  undefine
- autosplit is needed

Revision 1.28  2004/11/03 22:30:37  paladine
- formatting

Revision 1.27  2004/06/05 20:26:53  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.26  2004/06/05 18:10:46  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.25  2004/05/07 01:24:06  ankry
- rel. 6

Revision 1.24  2004/05/06 18:01:30  ankry
- fixed perl-devel BR

Revision 1.23  2004/04/26 23:02:37  ankry
- license fixes and unification

Revision 1.22  2004/04/21 00:10:17  ankry
- ported to new bconds

Revision 1.21  2004/02/18 15:51:30  qboosh
- s/no/nb/ in Summary langs

Revision 1.20  2003/09/09 10:24:43  ankry
- spaces -> tab

Revision 1.19  2003/08/18 08:09:04  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.18  2003/05/28 13:00:54  malekith
- massive attack: source-md5

Revision 1.17  2003/05/25 06:24:50  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.15  2003/03/01 20:22:02  radek
- should be ready for perl-5.8.0; release++

Revision 1.14  2003/02/28 10:08:28  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.13  2003/02/25 00:41:03  radek
- use the __perl macro

Revision 1.12  2002/09/19 12:15:13  ankry
- added tests on bcond
- removed empty autosplit.ix
- release 4

Revision 1.11  2002/07/27 21:37:46  ankry
- added back autosplit.ix and necessary dirs
- release 3

Revision 1.10  2002/07/18 13:41:14  ankry
- translations, cleaning
- added TODO to %%doc
- added %%{perl_sitelib}/Net/Telnet
- release 2

Revision 1.9  2002/07/12 09:04:40  qboosh
- new %%doc and cosmetics

Revision 1.8  2002/07/11 08:02:30  depesz
- new version; should work; STBR

Revision 1.7  2002/07/10 08:48:16  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.6  2002/03/23 15:32:35  kloczek
- cosmetics.

Revision 1.5  2002/02/25 10:33:28  depesz
cleanup; revision++

Revision 1.4  2002/02/23 06:01:29  kloczek
- removed autosplit.ix file from %%files.

Revision 1.3  2002/02/22 23:29:30  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.2  2002/02/21 15:54:28  zagrodzki
- added missing .ix file

Revision 1.1  2002/02/21 07:36:16  zagrodzki
- initial release
